package org.jeecg.ctop.material.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 盯盘-运营数据
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouOperateVo implements Serializable {



    @Excel(name = "运营人员",width = 15)
    private String userName;

    @Excel(name = "账户数量",width = 10)
    private Integer accountNum;

    @Excel(name = "项目数量",width = 10)
    private Integer projectNum;

    @Excel(name = "总花费",width = 20)
    private Double totalCost;

    @Excel(name = "花费环比",width = 10)
    private String rate;

    private String userId;

    //@Excel(name = "有效素材数",width = 15)
    //private Integer newEffectNum;

    @Excel(name = "新上计划数",width = 15)
    private Integer newCampaignNum;

    @Excel(name = "新上组数",width = 15)
    private Integer newUnitNum;

    @Excel(name = "新上项目数",width = 15)
    private Integer newProjectNum;





    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getAccountNum() {
        return accountNum;
    }

    public void setAccountNum(Integer accountNum) {
        this.accountNum = accountNum;
    }

    public Integer getProjectNum() {
        return projectNum;
    }

    public void setProjectNum(Integer projectNum) {
        this.projectNum = projectNum;
    }

    public Double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(Double totalCost) {
        this.totalCost = totalCost;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getNewCampaignNum() {
        return newCampaignNum;
    }

    public void setNewCampaignNum(Integer newCampaignNum) {
        this.newCampaignNum = newCampaignNum;
    }

    public Integer getNewUnitNum() {
        return newUnitNum;
    }

    public void setNewUnitNum(Integer newUnitNum) {
        this.newUnitNum = newUnitNum;
    }

    public Integer getNewProjectNum() {
        return newProjectNum;
    }

    public void setNewProjectNum(Integer newProjectNum) {
        this.newProjectNum = newProjectNum;
    }
}
